Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 758063005: Linux sandbox: report TSYNC status in chrome://sandbox (Closed)

Created:
4 years, 10 months ago by jln (very slow on Chromium)
Modified:
4 years, 10 months ago
CC:
chromium-reviews, darin-cc_chromium.org, jam, jln+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Project:
chromium
Visibility:
Public.

Description

Linux sandbox: report TSYNC status in chrome://sandbox TSYNC is a new sandboxing flag for seccomp that was recently added to the Linux kernel. If TSYNC is supported by the kernel, it is automatically used when enabling seccomp-bpf). When seccomp-bpf is enabled, we now report if TSYNC is supported by the kernel in chrome://sandbox. This allows users and developers to check their level of sandboxing and to know how the sandbox has been enabled on their running instance of Chrome. TBR=nasko Committed: https://crrev.com/615a8e4ee208162fa28c68354f0db604cd9b4359 Cr-Commit-Position: refs/heads/master@{#305885}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+39 lines, -3 lines) Patch
M chrome/app/generated_resources.grd View 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/ui/webui/about_ui.cc View 1 chunk +4 lines, -0 lines 0 comments Download
M content/common/sandbox_linux/sandbox_linux.h View 2 chunks +3 lines, -1 line 0 comments Download
M content/common/sandbox_linux/sandbox_linux.cc View 4 chunks +15 lines, -0 lines 0 comments Download
M content/common/sandbox_linux/sandbox_seccomp_bpf_linux.h View 1 chunk +3 lines, -2 lines 0 comments Download
M content/common/sandbox_linux/sandbox_seccomp_bpf_linux.cc View 1 chunk +8 lines, -0 lines 0 comments Download
M content/public/common/sandbox_linux.h View 1 chunk +3 lines, -0 lines 0 comments Download

Messages

Total messages: 18 (5 generated)
jln (very slow on Chromium)
Jorge: PTAL! keescook: mostly FYI
4 years, 10 months ago (2014-11-25 23:56:20 UTC) #3
Jorge Lucangeli Obes
lgtm
4 years, 10 months ago (2014-11-26 00:01:23 UTC) #4
Kees Cook
lgtm
4 years, 10 months ago (2014-11-26 00:06:14 UTC) #5
jln (very slow on Chromium)
James: could you please approve the small change in chrome/browser/ui/webui/about_ui.cc ?
4 years, 10 months ago (2014-11-26 00:09:39 UTC) #7
James Hawkins
What is this for?
4 years, 10 months ago (2014-11-26 00:11:30 UTC) #8
jln (very slow on Chromium)
On 2014/11/26 00:11:30, James Hawkins wrote: > What is this for? We added a new ...
4 years, 10 months ago (2014-11-26 01:04:52 UTC) #9
James Hawkins
On 2014/11/26 01:04:52, jln wrote: > On 2014/11/26 00:11:30, James Hawkins wrote: > > What ...
4 years, 10 months ago (2014-11-26 17:09:59 UTC) #10
jln (very slow on Chromium)
On 2014/11/26 17:09:59, James Hawkins wrote: > Most of the information should probably go into ...
4 years, 10 months ago (2014-11-26 19:54:43 UTC) #11
jln (very slow on Chromium)
Nasko: TBR for tiny mechanical change in content/public/common/sandbox_linux.h
4 years, 10 months ago (2014-11-26 19:55:34 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/758063005/1
4 years, 10 months ago (2014-11-26 19:56:27 UTC) #15
commit-bot: I haz the power
Committed patchset #1 (id:1)
4 years, 10 months ago (2014-11-26 21:08:31 UTC) #16
commit-bot: I haz the power
Patchset 1 (id:??) landed as https://crrev.com/615a8e4ee208162fa28c68354f0db604cd9b4359 Cr-Commit-Position: refs/heads/master@{#305885}
4 years, 10 months ago (2014-11-26 21:09:08 UTC) #17
nasko
4 years, 10 months ago (2014-12-08 18:07:23 UTC) #18
Message was sent while issue was closed.
lgtm

Powered by Google App Engine
This is Rietveld 408576698